
pfSense - Bug #3166

status_services.php:starts services 2-3 times;

08/27/2013 10:28 AM - Valentin Georgiev

Status: Resolved Start date: 08/27/2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version: All

Release Notes:  Affected

Architecture:

 

Description

file: service-utils.inc

#104        foreach($config['installedpackages']['service'] as $service) {

#105++        a+1;

#112            if(file_exists("{$prefix}{$service['rcfile']}")) {

#113++                if (a) { return 1; }

Results are:

Aug 27 15:32:10     varnishd[43663]: Child (43883) said SMF.s0 mmap'ed 33554432 bytes of 33554432

Aug 27 15:32:10     varnishd[43663]: Child (43883) said Child starts

Aug 27 15:32:10     varnishd[43663]: child (43883) Started

Aug 27 15:32:10     varnishd[43663]: Platform: FreeBSD,8.3-RELEASE-p9,i386,-sfile,-smalloc,-hcritb

it

Aug 27 18:32:07     php: config.inc: [varnish] varnish_xmlrpc_sync.php is starting.

Aug 27 18:32:03     syslogd: kernel boot file is /boot/kernel/kernel

 OR in other way without that check were ive make now;  2 or 3 runs ... :D

Aug 27 15:15:41     varnishd[67332]: Child (67562) said SMF.s0 mmap'ed 33554432 bytes of 33554432

Aug 27 15:15:41     varnishd[67332]: Child (67562) said Child starts

Aug 27 15:15:41     varnishd[67332]: child (67562) Started

Aug 27 15:15:41     varnishd[67332]: Platform: FreeBSD,8.3-RELEASE-p9,i386,-sfile,-smalloc,-hcritb

it

Aug 27 18:15:38     php: config.inc: [varnish] varnish_xmlrpc_sync.php is starting.

Aug 27 15:15:36     varnishd[63360]: Manager got SIGINT

Aug 27 15:15:36     varnishd[63360]: child (64866) Started

Aug 27 15:15:33     varnishd[63360]: Child (63632) said SMF.s0 mmap'ed 33554432 bytes of 33554432

Aug 27 15:15:33     varnishd[63360]: Child (63632) said Child starts

Aug 27 15:15:33     varnishd[63360]: child (63632) Started

Aug 27 15:15:33     varnishd[63360]: Platform: FreeBSD,8.3-RELEASE-p9,i386,-sfile,-smalloc,-hcritb

it

Aug 27 18:15:30     php: config.inc: [varnish] varnish_xmlrpc_sync.php is starting.

Aug 27 18:15:24     syslogd: kernel boot file is /boot/kernel/kernel

History

#1 - 09/06/2013 05:27 AM - Renato Botelho

Please show me the <installedpackages><service> section of your config.xml

#2 - 09/06/2013 09:22 AM - Valentin Georgiev

they are changed .. week ago

but i remeber ive have installed pfblocker,arpwatch,varnish3

#3 - 02/18/2014 02:24 PM - Ermal Luçi
- Project changed from pfSense Packages to pfSense

- Status changed from New to Feedback

- % Done changed from 0 to 100

- Affected Version set to All

Normally i have fixed this for 2.1 and up.

Setting this to feedback to see if someone finds problems with the fixes.

#4 - 08/27/2014 01:31 PM - Renato Botelho

- Status changed from Feedback to Resolved
